%define debug_package %{nil}

%define prerelease 3b1f6487b7fc649d5f146df04e623bd55ba1bf7f
%define import_path github.com/kr/pty
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})

Summary:	PTY interface for Go
Name:		golang-kr-pty
Version:	0.1.git%{shortcommit}
Release:	%mkrel 6
License:	MIT
Group:		Development/Other
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}

%description
Pty is a Go package for using UNIX pseudo-terminals.

%prep
%setup -q -n pty-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/{License,README.md}

%files
%doc License README.md
%{gosrc}/*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.1.git3b1f648-6.mga6
+ Revision: 954169
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.git3b1f648-5.mga6
+ Revision: 893487
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.1.git3b1f648-4.mga5
+ Revision: 740636
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.git3b1f648-3.mga5
+ Revision: 679863
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 bcornec <bcornec> 0.1.git3b1f648-2.mga5
+ Revision: 641548
- Fix for golang FHS

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.1.git3b1f648-1.mga4
+ Revision: 559382
- imported package golang-kr-pty

